org.apache.lucene.luke.app.desktop

## Interface Preferences

All Known Implementing Classes:
  PreferencesImpl

    public interface Preferences

Preference

### Nested Class Summary

Nested Classes
`static class` `Preferences.ColorTheme` color themes

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addHistory(String indexPath)`
`Preferences.ColorTheme` `getColorTheme()`
`String` `getDirImpl()`
`List<String>` `getHistory()`
`boolean` `isKeepAllCommits()`
`boolean` `isNoReader()`
`boolean` `isReadOnly()`
`boolean` `isUseCompound()`
`void` `setColorTheme(Preferences.ColorTheme theme)`
`void` `setIndexOpenerPrefs(boolean readOnly, String dirImpl, boolean noReader, boolean useCompound, boolean keepAllCommits)`

### Method Detail

#### getHistory

    List<String> getHistory()

#### addHistory

    void addHistory(String indexPath)
             throws IOException

Throws:
  `IOException`

#### isReadOnly

    boolean isReadOnly()

#### getDirImpl

    String getDirImpl()

#### isNoReader

    boolean isNoReader()

#### isUseCompound

    boolean isUseCompound()

#### isKeepAllCommits

    boolean isKeepAllCommits()

#### setIndexOpenerPrefs

    void setIndexOpenerPrefs(boolean readOnly,
                             String dirImpl,
                             boolean noReader,
                             boolean useCompound,
                             boolean keepAllCommits)
                      throws IOException

Throws:
  `IOException`

#### getColorTheme

    Preferences.ColorTheme getColorTheme()

#### setColorTheme

    void setColorTheme(Preferences.ColorTheme theme)
                throws IOException

Throws:
  `IOException`